<?php
include "connection.php";

$tbl_name = $_POST['tbl_name'];
$delimiter = $_POST['delimiter'] == 't' ? "\t" : $_POST['delimiter'];
$enclosure = " ".$_POST['enclosure'];
$col_name = $_POST['col_name'];
$data_type = $_POST['data_type'];
$data_type_param = $_POST['data_type_param'];
$sql_col = array();

$sql = "CREATE TABLE `".$tbl_name."` (";
for ($x = 0; $x < count($col_name); $x++) {
  $sql_col[] = " `".$col_name[$x]."` ".$data_type[$x]."(".$data_type_param[$x].") DEFAULT NULL";
}
$sql .= join(",", $sql_col);
$sql .= ") ENGINE=MyISAM DEFAULT CHARSET=utf8;";

$query = $conn->query($sql);

if(!$query){
	echo $conn->error;
	exit();
}

$row_num = $_POST['row_num'];
$rawdata = $_POST['rawdata'];
$rows = explode("\n", $rawdata);
array_shift($rows);
$commit_size = $_POST['commit_size'];
$loop_time = floor(count($rows)/$commit_size);
$mod = count($rows)%$commit_size;
if($mod > 0){
	$loop_time++;
}
$error_msg = "";
$insert_rows = 0;
$start_time = date("Y-m-d H:i:s");
for ($w = 0; $w < $loop_time; $w++) {
	$start_loop = $w*$commit_size;
	$end_loop = ($mod > 0 && $loop_time-1 == $w) ? ($w*$commit_size)+$mod : ($w+1)*$commit_size;
	$sql_arr = array();
	$sql = "INSERT INTO `".$tbl_name."` (`".join("`,`", $col_name)."`) VALUES ";
	for ($x = $start_loop; $x < $end_loop; $x++) {
		$cols = explode($delimiter,$rows[$x]);
		$sql_data = array();
		for ($y = 0; $y < count($cols); $y++) {
			if(strlen(trim($cols[$y], $enclosure)) == 0){
				$sql_data[] = "NULL";
			}
			else{
				$sql_data[] = "'".$conn->real_escape_string(trim($cols[$y], $enclosure))."'";
			}
		}
		$sql_arr[] = "(".join(",", $sql_data).")";
	}
	$sql .= join(",", $sql_arr);
	$query = $conn->query($sql);
	
	if(!$query){
		$error_msg = $conn->error;
		break;
	}
	$insert_rows += $end_loop-$start_loop;
}
$end_time = date("Y-m-d H:i:s");

if($row_num == $insert_rows){
	echo "Insert ".$insert_rows." Records Complete<br>".datediff($start_time,$end_time);
}
else{
	echo $error_msg."<br>Insert ".$insert_rows." / ".$row_num." Records<br>".datediff($start_time,$end_time);
}


function datediff( $date1, $date2 ){
    $diff = abs( strtotime( $date1 ) - strtotime( $date2 ) );
	
	if(intval( ( $diff / 60 ) % 60 ) == 0){
		return sprintf
		(
			"%d Seconds",
			intval( $diff % 60 )
		);
	}
	else if(intval( ( $diff % 86400 ) / 3600) == 0){
		return sprintf
		(
			"%d Mins, %d Seconds",
			intval( ( $diff / 60 ) % 60 ),
			intval( $diff % 60 )
		);
	}
	else if(intval( $diff / 86400 ) == 0){
		return sprintf
		(
			"%d Hours, %d Mins, %d Seconds",
			intval( ( $diff % 86400 ) / 3600),
			intval( ( $diff / 60 ) % 60 ),
			intval( $diff % 60 )
		);
	}
	else{
		return sprintf
		(
			"%d Days, %d Hours, %d Mins, %d Seconds",
			intval( $diff / 86400 ),
			intval( ( $diff % 86400 ) / 3600),
			intval( ( $diff / 60 ) % 60 ),
			intval( $diff % 60 )
		);
	}
}

?>



