<!DOCTYPE html>
<html lang="en">
<head>
<?php include "meta.php"; ?>
<link rel="stylesheet" href="css/bootstrap.min.css">
<link rel="stylesheet" href="css/style.css">
<!-- Date Range Picker for Bootstrap -->
<link rel="stylesheet" type="text/css" href="css/daterangepicker.css" />
</head>
<body>
<?php include "header.php"; ?>

<div class="container">
	<br>
	<div id="div_loading" class="row" align="center"> 
	</div>
	<form class="form-horizontal" role="form">
		<div class="form-group form-group-xs form-group-lg">
			<div id="editableDiv" contenteditable='true' class="alert alert-info"><strong>Paste Here!</strong></div>
		</div>
	</form>
	<h2>Table List</h2>
	<div id="div_table_msg" class="row"></div>
	<div class="row">
		<div id="table_list" class="list-group col-xs-5"></div>
	</div>
	<br>
	<!-- -------------------------------------------------Modal------------------------------------------------- -->
	<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 class="modal-title" id="exampleModalLabel">Create Table</h4>
				</div>
				<div class="modal-body">
					<form class="form-horizontal" id="modal_table">

					</form>
				</div>
				<div class="modal-footer">
					<div id="div_loading_modal" class="row" align="center"></div>
					<div id="div_msg"></div>
					<button type="button" class="btn btn-primary" id="btn_submit">Submit</button>
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
</div>

<script src="js/jquery.min.js"></script>
<!-- Date Range Picker for Bootstrap -->
<script type="text/javascript" src="js/moment.min.js"></script>
<!-- Include Date Range Picker -->
<script type="text/javascript" src="js/daterangepicker.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/menu.js"></script>
<script>
$(document).ready(function(){
	
	var rows;
	var firstrow;
	var rawdata;
	
	table_list();
	
	$("#btn_submit").click(function(){
		post_data = {
			tbl_name: $('#tbl_name').val().trim(),
			commit_size: $('#commit_size').val(),
			delimiter: $('#delimiter').val(),
			enclosure: $('#enclosure').val(),
			col_name: $('.col_name').map(function() { return $( this ).val();}).get(),
			data_type: $('.data_type').map(function() { return $( this ).val();}).get(),
			data_type_param: $('.data_type_param').map(function() { return $( this ).val();}).get(),
			row_num: rows.length,
			rawdata: rawdata
		};
		$('#div_loading_modal').html('<img class="loading_modal" src="img/loader.gif" />');
				
		$.post( "importdata.php" ,  post_data , function( data ) {
			if(data.indexOf('Complete') !== -1){
				$("#div_msg").html('<div class="alert alert-success" align="center">'+data+'</div>');
			}
			else{
				$("#div_msg").html('<div class="alert alert-danger" align="center">'+data+'</div>');
			}
			table_list();
		})
		.always(function() {
			$('.loading_modal').remove();
		})
		.done(function(data) {
			
		});
	});
	
	
	function handlePaste (e) {
		var clipboardData, pastedData;

		// Stop data actually being pasted into div
		e.stopPropagation();
		e.preventDefault();

		// Get pasted data via clipboard API
		clipboardData = e.clipboardData || window.clipboardData;
		pastedData = clipboardData.getData('Text');

		// Do whatever with pasteddata		
		var value = pastedData.replace(/\r/g, "");
		
		if(value.lastIndexOf('\n') !== -1 && (value.length - value.lastIndexOf('\n')) == 1){
			value = value.substring(0, value.lastIndexOf('\n'));
		}
		rawdata = value;
		rows = value.split("\n");
		firstrow = rows[0];
		rows.shift();
		
		$("#exampleModal").modal();
	}

	document.getElementById('editableDiv').addEventListener('paste', handlePaste);
	
	$("#exampleModal").on('show.bs.modal', function () {
		var field_table = '';
			field_table += '<div class="form-group">';
			field_table += '	<label class="control-label col-xs-offset-6 col-xs-6">'+rows.length+' Records</label>';
			field_table += '</div>';
			field_table += '<div class="form-group">';
			field_table += '	<label class="control-label col-xs-3" for="delimiter">Delimiter</label>';
			field_table += '	<div class="col-xs-9">';
			field_table += '		<select class="form-control" id="delimiter">';
			field_table += '			<option value="t">Tab</option>';
			field_table += '			<option value=";">Semicolon</option>';
			field_table += '			<option value=",">Comma</option>';
			field_table += '		</select>';
			field_table += '	</div>';
			field_table += '</div>';
			field_table += '<div class="form-group">';
			field_table += '	<label class="control-label col-xs-3" for="enclosure">Enclosure</label>';
			field_table += '	<div class="col-xs-9">';
			field_table += '		<select class="form-control" id="enclosure">';
			field_table += '			<option value="">None</option>';
			field_table += '			<option value=\'"\'>"</option>';
			field_table += '			<option value="\'">\'</option>';
			field_table += '		</select>';
			field_table += '	</div>';
			field_table += '</div>';
			field_table += '<div class="form-group">';
			field_table += '	<label class="control-label col-xs-3" for="commit_size">Commit Size</label>';
			field_table += '	<div class="col-xs-9">';
			field_table += '		<select class="form-control" id="commit_size">';
			field_table += '			<option value="1000">1000</option>';
			field_table += '		</select>';
			field_table += '	</div>';
			field_table += '</div>';
			field_table += '<div class="form-group">';
			field_table += '	<label class="control-label col-xs-3" for="tbl_name">Table Name</label>';
			field_table += '	<div class="col-xs-9">';
			field_table += '		<input type="text" id="tbl_name" class="form-control" placeholder="Enter Table Name">';
			field_table += '	</div>';
			field_table += '</div>';
			field_table += '<div id="field_name" class="well">';
			field_table += '</div>';
		$('#modal_table').html(field_table);

		$('#delimiter').change(function() {
			field_name();
		});
		
		$('#enclosure').change(function() {
			field_name();
		});

		field_name();
	});
	
	$("#table_list").on( 'click', '.btn-danger', function(e) {
		var tbl_name = $(this).parent().find('label').text().trim();
		if (!window.confirm("Do you really want to drop table "+tbl_name+"?")) {
			return false;
		}
		else {
			post_data = {
				tbl_name: tbl_name
			};
			$.post( "managetable.php" , post_data , function( data ) {
				if(data == true){
					$("#div_table_msg").html('<div class="alert alert-success" align="center">Drop table '+tbl_name+' complete</div>');
				}
				else{
					$("#div_table_msg").html('<div class="alert alert-danger" align="center">'+data+'</div>');
				}
				table_list();
			});
		}
	});
	
	function table_list(){
		$.post( "tablelist.php" , function( data ) {
			$("#table_list").html(data);
		});
	}
	
	function field_name(){
		
		var	delimiter = $('#delimiter').val();
		var	enclosure = $('#enclosure').val();
		
		if(delimiter == 't'){
			delimiter = '\t';
		}

		var header = firstrow.split(delimiter);
		var field_table = '';
		
		for (i = 0; i < header.length; i++) {
			var field_name = header[i];
			if(enclosure == "\""){
				field_name = field_name.replace(/\"/g, "");
			}
			else if(enclosure == "'"){
				field_name = field_name.replace(/\'/g, "");
			}
			field_name = field_name.trim();
			
			field_table += '<div class="form-group">';
			field_table += '	<div class="col-xs-5">';
			field_table += '		<input type="text" class="form-control col_name" value="'+field_name+'">';
			field_table += '	</div>';
			field_table += '	<div class="col-xs-5">';
			field_table += '		<select class="form-control data_type">';
			field_table += '			<option value="VARCHAR">VARCHAR</option>';
/* 			field_table += '			<option value="TEXT">TEXT</option>';
			field_table += '			<option value="INT">INT</option>';
			field_table += '			<option value="DECIMAL">DECIMAL</option>';
			field_table += '			<option value="DATETIME">DATETIME</option>';
			field_table += '			<option value="DATE">DATE</option>';
			field_table += '			<option value="TIME">TIME</option>'; */
			field_table += '		</select>';
			field_table += '	</div>';
			field_table += '	<div class="col-xs-2">';
			field_table += '		<input type="text" class="form-control data_type_param" value="255">';
			field_table += '	</div>';
			field_table += '</div>';
		}
		$('#field_name').html(field_table);
		$("#div_msg").html('');
		$("#div_table_msg").html('');
	}
	
});
</script>
</body>
</html>



